## org.codehaus.groovy.grails.commons
Interface ExternalGrailsDomainClass

All Superinterfaces:
  GrailsClass, GrailsDomainClass

All Known Implementing Classes:
  GrailsHibernateDomainClass

    public interface ExternalGrailsDomainClass

extends GrailsDomainClass

Represents a persistable Grails domain class that is externally mapped. This is essentially a marker interface so that Grails knows to treat these differently

Since:
  Feb 18, 2006
Author:
  Graeme Rocher

Field Summary

Fields inherited from interface org.codehaus.groovy.grails.commons.GrailsDomainClass
`GORM, ORM_MAPPING`

Method Summary

Methods inherited from interface org.codehaus.groovy.grails.commons.GrailsDomainClass

`getAssociationMap, getConstrainedProperties, getFieldName, getIdentifier, getMappedBy, getMappingStrategy, getPersistantProperties, getPersistentProperties, getProperties, getPropertyByName, getPropertyName, getRelatedClassType, getSubClasses, getValidator, getVersion, hasPersistentProperty, hasSubClasses, isBidirectional, isManyToOne, isOneToMany, isOwningClass, isRoot, refreshConstraints, setMappingStrategy, setValidator`

Methods inherited from interface org.codehaus.groovy.grails.commons.GrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyValue, getPropertyValue, getReference, getShortName, hasProperty, newInstance`

Copyright (c) 2005-2009 The Grails project